from locals import *

# ScrollableSprite has "image" and "disp_rect".
class ScrollableSprite(pygame.sprite.Sprite):
    def __init__(self):
        pygame.sprite.Sprite.__init__(self)

    def update_rect(self, scroll_offset, horizontal):
        if horizontal:
            self.rect = self.disp_rect.move(scroll_offset, 0)
        else:
            self.rect = self.disp_rect.move(0, scroll_offset)

    def update(self, scroll_offset, horizontal):
        self.update_rect(scroll_offset, horizontal)
