import os
import sys
import pygame
if os.name == 'nt': import pygame._view # Workaround for pygame2exe bug

from game import g

################################################################################

# Where Am I? See also: http://www.py2exe.org/index.cgi/WhereAmI

def we_are_frozen():
    """Returns whether we are frozen via py2exe.
    This will affect how we find out where we are located."""

    return hasattr(sys, "frozen")


def module_path():
    """ This will get us the program's directory,
    even if we are frozen using py2exe"""

    if we_are_frozen():
        return os.path.dirname(unicode(sys.executable, sys.getfilesystemencoding( )))

    return os.path.dirname(unicode(__file__, sys.getfilesystemencoding( )))

################################################################################

def main():
    # Set the current directory
    if os.name == 'nt': os.chdir(module_path())

    # Play game
    g.play()

    # Quit pygame
    pygame.quit()

################################################################################

if __name__ == '__main__':
    main()
